[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ShowHint

Flag to determine: Is hint to be displayed for this control?

## Declaration

Source position: controls.pp line 1401

`public property TControl.ShowHint: Boolean read FShowHint write SetShowHint stored IsShowHintStored default false;`

## Description

// standard properties, which should be supported by all descendants
Reads flag or writes one to determine if a hint is to be shown when mouse hovers over this control. If value is stored, a storage flag is set. Display of the actual hint is controlled by OnShowHint

## See also

OnShowHint |  | Event Handler when a hint needs to be shown

The latest version of this document can be found at lazarus-ccr.sourceforge.net .